<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__wcm__enums" kind="group">
    <compoundname>group_wcm_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__wcm__enums_1ga24d3def17207a3c64b62fb4b8a44a7fc" kind="enum" prot="public" static="no">
        <name>cy_wcm_ip_version_t</name>
        <enumvalue id="group__group__wcm__enums_1gga24d3def17207a3c64b62fb4b8a44a7fca579126d4304962b6ee0f286e5afcbe8a" prot="public">
          <name>CY_WCM_IP_VER_V4</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>Denotes IPv4 version. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga24d3def17207a3c64b62fb4b8a44a7fcaa76a9ec3e0ee840982c8094f4416f768" prot="public">
          <name>CY_WCM_IP_VER_V6</name>
          <initializer>= 6</initializer>
          <briefdescription>
<para>Denotes IPv6 version. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_ip_version_t: </bold><linebreak />IP Version.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="109" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="105" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="106" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1ga04051d082e24439e436a17db75fadfef" kind="enum" prot="public" static="no">
        <name>cy_wcm_ipv6_type_t</name>
        <enumvalue id="group__group__wcm__enums_1gga04051d082e24439e436a17db75fadfefa635adc564bdb3dbdd71685cef4f470ac" prot="public">
          <name>CY_WCM_IPV6_LINK_LOCAL</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Denotes IPv6 link-local address type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga04051d082e24439e436a17db75fadfefad69d3245c4ef7635271c9faf924d12a7" prot="public">
          <name>CY_WCM_IPV6_GLOBAL</name>
          <briefdescription>
<para>Denotes IPv6 global address type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_ipv6_type_t: </bold><linebreak />IPV6 types.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="118" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="114" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="115" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1ga8b22f5a47073d5219440566d0e53e521" kind="enum" prot="public" static="no">
        <name>cy_wcm_security_t</name>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a7f7f987e28882d8c60f7f4429561b9a5" prot="public">
          <name>CY_WCM_SECURITY_OPEN</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Open security. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a3f1681e739292b57e029cf9423c37110" prot="public">
          <name>CY_WCM_SECURITY_WEP_PSK</name>
          <initializer>= WEP_ENABLED</initializer>
          <briefdescription>
<para>WEP PSK security with open authentication. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a8f9f6f3775c9735d869f60b3507434fb" prot="public">
          <name>CY_WCM_SECURITY_WEP_SHARED</name>
          <initializer>= ( WEP_ENABLED   | SHARED_ENABLED )</initializer>
          <briefdescription>
<para>WEP PSK security with shared authentication. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521ae3433e5dd60a88c95eb5c5d057ed67ed" prot="public">
          <name>CY_WCM_SECURITY_WPA_TKIP_PSK</name>
          <initializer>= ( WPA_SECURITY  | TKIP_ENABLED )</initializer>
          <briefdescription>
<para>WPA PSK security with TKIP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a8abfafcfce522370ec60f90e60c289ca" prot="public">
          <name>CY_WCM_SECURITY_WPA_AES_PSK</name>
          <initializer>= ( WPA_SECURITY  | AES_ENABLED )</initializer>
          <briefdescription>
<para>WPA PSK security with AES. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521adaed424cb449a2621e13a8360f9b2831" prot="public">
          <name>CY_WCM_SECURITY_WPA_MIXED_PSK</name>
          <initializer>= ( WPA_SECURITY  | AES_ENABLED | TKIP_ENABLED )</initializer>
          <briefdescription>
<para>WPA PSK security with AES and TKIP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a772f5ab0cd577a4d8f9426be3123cefe" prot="public">
          <name>CY_WCM_SECURITY_WPA2_AES_PSK</name>
          <initializer>= ( WPA2_SECURITY | AES_ENABLED )</initializer>
          <briefdescription>
<para>WPA2 PSK security with AES. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a3b4bbec176138de64c97b85f3063f0eb" prot="public">
          <name>CY_WCM_SECURITY_WPA2_TKIP_PSK</name>
          <initializer>= ( WPA2_SECURITY | TKIP_ENABLED )</initializer>
          <briefdescription>
<para>WPA2 PSK security with TKIP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a076d68a0103ce4d2571bb00521ba8251" prot="public">
          <name>CY_WCM_SECURITY_WPA2_MIXED_PSK</name>
          <initializer>= ( WPA2_SECURITY | AES_ENABLED | TKIP_ENABLED )</initializer>
          <briefdescription>
<para>WPA2 PSK security with AES and TKIP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a25100570908755c4f3fcf216a625b3e8" prot="public">
          <name>CY_WCM_SECURITY_WPA2_FBT_PSK</name>
          <initializer>= ( WPA2_SECURITY | AES_ENABLED | FBT_ENABLED)</initializer>
          <briefdescription>
<para>WPA2 FBT PSK security with AES and TKIP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a3210b048d7f28c4d34fe84ed38423697" prot="public">
          <name>CY_WCM_SECURITY_WPA3_SAE</name>
          <initializer>= ( WPA3_SECURITY | AES_ENABLED )</initializer>
          <briefdescription>
<para>WPA3 security with AES. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a65f30fece93828b8e7aec9e746e3f6bd" prot="public">
          <name>CY_WCM_SECURITY_WPA2_WPA_AES_PSK</name>
          <initializer>= (WPA2_SECURITY | WPA_SECURITY | AES_ENABLED)</initializer>
          <briefdescription>
<para>WPA2 WPA PSK Security with AES. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a1c6bff375775f060152c36a310dbecd7" prot="public">
          <name>CY_WCM_SECURITY_WPA2_WPA_MIXED_PSK</name>
          <initializer>= (WPA2_SECURITY | WPA_SECURITY | AES_ENABLED | TKIP_ENABLED)</initializer>
          <briefdescription>
<para>WPA2 WPA PSK Security with AES &amp; TKIP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521abfdbdb9ee491f60d5beb3e34e504ef21" prot="public">
          <name>CY_WCM_SECURITY_WPA3_WPA2_PSK</name>
          <initializer>= ( WPA3_SECURITY | WPA2_SECURITY | AES_ENABLED )</initializer>
          <briefdescription>
<para>WPA3 WPA2 PSK security with AES. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521ad90cc325f41cb213cb4521203d25d71d" prot="public">
          <name>CY_WCM_SECURITY_WPA_TKIP_ENT</name>
          <initializer>= (ENTERPRISE_ENABLED | WPA_SECURITY | TKIP_ENABLED)</initializer>
          <briefdescription>
<para>WPA Enterprise Security with TKIP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a15e40dcc622cfbbc30189d58cc2d0d8d" prot="public">
          <name>CY_WCM_SECURITY_WPA_AES_ENT</name>
          <initializer>= (ENTERPRISE_ENABLED | WPA_SECURITY | AES_ENABLED)</initializer>
          <briefdescription>
<para>WPA Enterprise Security with AES. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521af859066c7f2a78b3f7e30cc397b9ffc4" prot="public">
          <name>CY_WCM_SECURITY_WPA_MIXED_ENT</name>
          <initializer>= (ENTERPRISE_ENABLED | WPA_SECURITY | AES_ENABLED | TKIP_ENABLED)</initializer>
          <briefdescription>
<para>WPA Enterprise Security with AES and TKIP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a6d42e04b696db4b267c4ef2ed6e23865" prot="public">
          <name>CY_WCM_SECURITY_WPA2_TKIP_ENT</name>
          <initializer>= (ENTERPRISE_ENABLED | WPA2_SECURITY | TKIP_ENABLED)</initializer>
          <briefdescription>
<para>WPA2 Enterprise Security with TKIP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a59cd3a2dce43903162ce84a651152e7a" prot="public">
          <name>CY_WCM_SECURITY_WPA2_AES_ENT</name>
          <initializer>= (ENTERPRISE_ENABLED | WPA2_SECURITY | AES_ENABLED)</initializer>
          <briefdescription>
<para>WPA2 Enterprise Security with AES. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a83be3851b45fae13129c65ecdc1967e4" prot="public">
          <name>CY_WCM_SECURITY_WPA2_MIXED_ENT</name>
          <initializer>= (ENTERPRISE_ENABLED | WPA2_SECURITY | AES_ENABLED | TKIP_ENABLED)</initializer>
          <briefdescription>
<para>WPA2 Enterprise Security with AES and TKIP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521ab1b403f2f40134c180e60867b2a46786" prot="public">
          <name>CY_WCM_SECURITY_WPA2_FBT_ENT</name>
          <initializer>= (ENTERPRISE_ENABLED | WPA2_SECURITY | AES_ENABLED | FBT_ENABLED)</initializer>
          <briefdescription>
<para>WPA2 Enterprise Security with AES and FBT. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a3b9dc0504be49e6d0babf7b7cfeea81c" prot="public">
          <name>CY_WCM_SECURITY_IBSS_OPEN</name>
          <initializer>= ( IBSS_ENABLED )</initializer>
          <briefdescription>
<para>Open security on IBSS ad hoc network. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a66814cdf2e650a7ac52e2173926a531d" prot="public">
          <name>CY_WCM_SECURITY_WPS_SECURE</name>
          <initializer>= ( WPS_ENABLED | AES_ENABLED)</initializer>
          <briefdescription>
<para>WPS with AES security. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a397fce386b66d0cef2c2be39611278fd" prot="public">
          <name>CY_WCM_SECURITY_UNKNOWN</name>
          <initializer>= -1</initializer>
          <briefdescription>
<para>Returned by <ref kindref="member" refid="group__group__wcm__typedefs_1ga58bd6c567dc6b0b111fb5852227c0c88">cy_wcm_scan_result_callback_t</ref> if security is unknown. </para>          </briefdescription>
          <detaileddescription>
<para>Do not pass this to the join function! </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a9f076fd0959cc261e2a6c9d1858df50e" prot="public">
          <name>CY_WCM_SECURITY_FORCE_32_BIT</name>
          <initializer>= 0x7fffffff</initializer>
          <briefdescription>
<para>Exists only to force whd_security_t type to 32 bits. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_security_t: </bold><linebreak />Enumeration of Wi-Fi Security Modes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="153" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="123" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="124" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1ga31f9cb5bc75abf02e5eb2623a64b3b7b" kind="enum" prot="public" static="no">
        <name>cy_wcm_wifi_band_t</name>
        <enumvalue id="group__group__wcm__enums_1gga31f9cb5bc75abf02e5eb2623a64b3b7ba227ae88196c397f2b9a1e1417b875000" prot="public">
          <name>CY_WCM_WIFI_BAND_ANY</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>The platform will choose an available band. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga31f9cb5bc75abf02e5eb2623a64b3b7ba88b974b076bb9ac9b603559a6475ed08" prot="public">
          <name>CY_WCM_WIFI_BAND_5GHZ</name>
          <briefdescription>
<para>5-GHz radio band. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga31f9cb5bc75abf02e5eb2623a64b3b7ba55fad89632303e01a336f8f6115352b0" prot="public">
          <name>CY_WCM_WIFI_BAND_2_4GHZ</name>
          <briefdescription>
<para>2.4-GHz radio band. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_wifi_band_t: </bold><linebreak />Enumeration of 802.11 Radio Bands.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="163" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="158" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="159" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1gab7d89e9afaed2e4e8064cf9ac4e86148" kind="enum" prot="public" static="no">
        <name>cy_wcm_scan_rssi_range_t</name>
        <enumvalue id="group__group__wcm__enums_1ggab7d89e9afaed2e4e8064cf9ac4e86148a6aa785dcb716397e519200696021ae76" prot="public">
          <name>CY_WCM_SCAN_RSSI_FAIR</name>
          <initializer>= -90</initializer>
          <briefdescription>
<para>Wi-Fi RSSI values greater than -90 dBm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggab7d89e9afaed2e4e8064cf9ac4e86148a19c2e5055249f11a0b0e57fe7edf0929" prot="public">
          <name>CY_WCM_SCAN_RSSI_GOOD</name>
          <initializer>= -60</initializer>
          <briefdescription>
<para>Wi-Fi RSSI values greater than -60 dBm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggab7d89e9afaed2e4e8064cf9ac4e86148a5ee1d399cdfbb54a50ec951d151267dc" prot="public">
          <name>CY_WCM_SCAN_RSSI_EXCELLENT</name>
          <initializer>= -40</initializer>
          <briefdescription>
<para>Wi-Fi RSSI values greater than -40 dBm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_scan_rssi_range_t: </bold><linebreak />Enumeration of RSSI Range.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="174" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="169" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="170" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1gac4c4ca6db8db6efdc3013b789a4c9cf8" kind="enum" prot="public" static="no">
        <name>cy_wcm_interface_t</name>
        <enumvalue id="group__group__wcm__enums_1ggac4c4ca6db8db6efdc3013b789a4c9cf8ae93c4aa9ce482c333a23bdc535df3208" prot="public">
          <name>CY_WCM_INTERFACE_TYPE_STA</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>STA or Client interface. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggac4c4ca6db8db6efdc3013b789a4c9cf8a0a2745fb6696e54ad284f17dbad8755f" prot="public">
          <name>CY_WCM_INTERFACE_TYPE_AP</name>
          <briefdescription>
<para>SoftAP interface. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggac4c4ca6db8db6efdc3013b789a4c9cf8a864e150cea33f5d4cae3e6834bf56f2e" prot="public">
          <name>CY_WCM_INTERFACE_TYPE_AP_STA</name>
          <briefdescription>
<para>Concurrent AP + STA mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_interface_t: </bold><linebreak />Enumeration of WCM Interfaces Types.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="185" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="180" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="181" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1ga24a4ed65a9261c45abc8aa697eb2b8a2" kind="enum" prot="public" static="no">
        <name>cy_wcm_scan_status_t</name>
        <enumvalue id="group__group__wcm__enums_1gga24a4ed65a9261c45abc8aa697eb2b8a2a01103577816da05a7b2b9521576c3c6e" prot="public">
          <name>CY_WCM_SCAN_INCOMPLETE</name>
          <briefdescription>
<para>Scan is in progress; more scan results will be returned. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga24a4ed65a9261c45abc8aa697eb2b8a2aff52685fb45be610434226882c46e57f" prot="public">
          <name>CY_WCM_SCAN_COMPLETE</name>
          <briefdescription>
<para>Scan is completed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_scan_status_t: </bold><linebreak />Enumeration of Scan Status.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="195" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="191" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="192" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1ga522893594393679bacaaaa77d81b26f8" kind="enum" prot="public" static="no">
        <name>cy_wcm_wps_mode_t</name>
        <enumvalue id="group__group__wcm__enums_1gga522893594393679bacaaaa77d81b26f8a31835b09070e6bd6c1728168e549c09c" prot="public">
          <name>CY_WCM_WPS_PBC_MODE</name>
          <briefdescription>
<para>Push button mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga522893594393679bacaaaa77d81b26f8a95b8f9041290279c8c309fa985241565" prot="public">
          <name>CY_WCM_WPS_PIN_MODE</name>
          <briefdescription>
<para>PIN mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_wps_mode_t: </bold><linebreak />Enumeration of WPS Connection Modes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="204" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="200" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="201" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1gafef6a7e734e688418bfa6c601edf2cf1" kind="enum" prot="public" static="no">
        <name>cy_wcm_wps_configuration_method_t</name>
        <enumvalue id="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1ac033e07b1fee308901aaf712a63f3ef3" prot="public">
          <name>CY_WCM_WPS_CONFIG_USBA</name>
          <initializer>= 0x0001</initializer>
          <briefdescription>
<para>USB configuration. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a178adfc35cb21c8b00481465e00ff673" prot="public">
          <name>CY_WCM_WPS_CONFIG_ETHERNET</name>
          <initializer>= 0x0002</initializer>
          <briefdescription>
<para>Ethernet configuration. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1ace529442cbd31b83e4ac5a4b3ed33e0a" prot="public">
          <name>CY_WCM_WPS_CONFIG_LABEL</name>
          <initializer>= 0x0004</initializer>
          <briefdescription>
<para>Label configuration. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a5a93a9612c63e22c00596cd458d93deb" prot="public">
          <name>CY_WCM_WPS_CONFIG_DISPLAY</name>
          <initializer>= 0x0008</initializer>
          <briefdescription>
<para>Display configuration. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1afee256e4896c9371c1144ba32d2e3ee4" prot="public">
          <name>CY_WCM_WPS_CONFIG_EXTERNAL_NFC_TOKEN</name>
          <initializer>= 0x0010</initializer>
          <briefdescription>
<para>External NFC configuration. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1acd1aeb0e87abb700d3f860699ff2c3e6" prot="public">
          <name>CY_WCM_WPS_CONFIG_INTEGRATED_NFC_TOKEN</name>
          <initializer>= 0x0020</initializer>
          <briefdescription>
<para>Internal NFC configuration. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1aaffc2fb3ba7a5e9965bd9473914a35f6" prot="public">
          <name>CY_WCM_WPS_CONFIG_NFC_INTERFACE</name>
          <initializer>= 0x0040</initializer>
          <briefdescription>
<para>NFC interface. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1ae808716be131db6383977dfe6becb5a2" prot="public">
          <name>CY_WCM_WPS_CONFIG_PUSH_BUTTON</name>
          <initializer>= 0x0080</initializer>
          <briefdescription>
<para>Push button configuration. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a6a4a331d72d7fa6500b91bd45bf58189" prot="public">
          <name>CY_WCM_WPS_CONFIG_KEYPAD</name>
          <initializer>= 0x0100</initializer>
          <briefdescription>
<para>Keypad configuration. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1aaa30b78f42df81269f3c1b4e2cb8b563" prot="public">
          <name>CY_WCM_WPS_CONFIG_VIRTUAL_PUSH_BUTTON</name>
          <initializer>= 0x0280</initializer>
          <briefdescription>
<para>Virtual push button configuration. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a0660c24da1d785f47a8415f6a150b3db" prot="public">
          <name>CY_WCM_WPS_CONFIG_PHYSICAL_PUSH_BUTTON</name>
          <initializer>= 0x0480</initializer>
          <briefdescription>
<para>Physical push button configuration. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1aadb10bf953fe76e72cbf4dcddfbc38df" prot="public">
          <name>CY_WCM_WPS_CONFIG_VIRTUAL_DISPLAY_PIN</name>
          <initializer>= 0x2008</initializer>
          <briefdescription>
<para>Virtual display pin configuration. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a922f0a9f83a32f4790a961c79f6a5b8e" prot="public">
          <name>CY_WCM_WPS_CONFIG_PHYSICAL_DISPLAY_PIN</name>
          <initializer>= 0x4008</initializer>
          <briefdescription>
<para>Physical display pin configuration. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_wps_configuration_method_t: </bold><linebreak />Enumeration of WPS Configuration Method.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="224" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="209" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="210" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1gab50f2a67cec69a058057fc5fc6c5cea1" kind="enum" prot="public" static="no">
        <name>cy_wcm_wps_authentication_type_t</name>
        <enumvalue id="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a9936e971dccb38e7cf02448690e11359" prot="public">
          <name>CY_WCM_WPS_OPEN_AUTHENTICATION</name>
          <initializer>= 0x0001</initializer>
          <briefdescription>
<para>Authentication type OPEN. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a97ad9d0d773ae0615f119a19c92b902e" prot="public">
          <name>CY_WCM_WPS_WPA_PSK_AUTHENTICATION</name>
          <initializer>= 0x0002</initializer>
          <briefdescription>
<para>WPA-PSK authentication type - Deprecated in version 2.0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a60cc0dbbcd735c1a88d49be684effd1a" prot="public">
          <name>CY_WCM_WPS_SHARED_AUTHENTICATION</name>
          <initializer>= 0x0004</initializer>
          <briefdescription>
<para>WPS-SHARED authentication type - Deprecated in version 2.0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a5cd9b05c6b61fcfb13804cde27c9cb2c" prot="public">
          <name>CY_WCM_WPS_WPA_ENTERPRISE_AUTHENTICATION</name>
          <initializer>= 0x0008</initializer>
          <briefdescription>
<para>WPA-ENTERPRISE authentication type - Deprecated in version 2.0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1aaa9cd22d44f2edd4553c5088abda1e3d" prot="public">
          <name>CY_WCM_WPS_WPA2_ENTERPRISE_AUTHENTICATION</name>
          <initializer>= 0x0010</initializer>
          <briefdescription>
<para>WPA2-ENTERPRISE authentication type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a56f28a09b4389cd4b9a16e8d443c962a" prot="public">
          <name>CY_WCM_WPS_WPA2_PSK_AUTHENTICATION</name>
          <initializer>= 0x0020</initializer>
          <briefdescription>
<para>WPA2-PSK authentication type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a89ef5b1e77a439a54f7fae94a2b0dd87" prot="public">
          <name>CY_WCM_WPS_WPA2_WPA_PSK_MIXED_AUTHENTICATION</name>
          <initializer>= 0x0022</initializer>
          <briefdescription>
<para>WPA2-WPA-PSK authentication type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_wps_authentication_type_t: </bold><linebreak />Enumeration of WPS Authentication Types.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="239" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="230" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="231" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1ga7ef358e8ada90c5a7d7a170d9c87f06f" kind="enum" prot="public" static="no">
        <name>cy_wcm_wps_encryption_type_t</name>
        <enumvalue id="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fa5134ff27eb3a3bd45244ba2522103cc7" prot="public">
          <name>CY_WCM_WPS_MIXED_ENCRYPTION</name>
          <initializer>= 0x000c</initializer>
          <briefdescription>
<para>MIXED encryption. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fa03e109443caa4e7956944d22e3a00c36" prot="public">
          <name>CY_WCM_WPS_AES_ENCRYPTION</name>
          <initializer>= 0x0008</initializer>
          <briefdescription>
<para>AES encryption. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fa8a6bf58d9350921fec4e196d35803a7d" prot="public">
          <name>CY_WCM_WPS_TKIP_ENCRYPTION</name>
          <initializer>= 0x0004</initializer>
          <briefdescription>
<para>TKIP encryption - Deprecated in WSC 2.0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fa6ea4ef151cfaf8afe8104eb7b62be6e2" prot="public">
          <name>CY_WCM_WPS_WEP_ENCRYPTION</name>
          <initializer>= 0x0002</initializer>
          <briefdescription>
<para>WEP encryption - Deprecated in WSC 2.0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fadecaa9e74027491e62c637b65f7f6cbd" prot="public">
          <name>CY_WCM_WPS_NO_ENCRYPTION</name>
          <initializer>= 0x0001</initializer>
          <briefdescription>
<para>OPEN - No encryption. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fadd86ef63ac41850941a2e9205ce34716" prot="public">
          <name>CY_WCM_WPS_NO_UNDEFINED</name>
          <initializer>= 0x0000</initializer>
          <briefdescription>
<para>Undefined encryption type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_wps_encryption_type_t: </bold><linebreak />Enumeration of WPS Encryption Type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="252" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="244" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="245" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1ga2109f4415e7d9d586336f8c4415a270e" kind="enum" prot="public" static="no">
        <name>cy_wcm_wps_device_category_t</name>
        <enumvalue id="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea38c2c17db9981b8d58c56a03d9eea174" prot="public">
          <name>CY_WCM_WPS_DEVICE_COMPUTER</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Computer devices. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea46a825fa9f6eb9fa51964b50cfcb6a42" prot="public">
          <name>CY_WCM_WPS_DEVICE_INPUT</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>Input devices. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270eaf4b0a8f306ca1f7d2662f96f06c4c3c9" prot="public">
          <name>CY_WCM_WPS_DEVICE_PRINT_SCAN_FAX_COPY</name>
          <initializer>= 3</initializer>
          <briefdescription>
<para>Devices such as printers, scanners, faxes and copiers. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea067b2a06849d654e88defa1494e6eb01" prot="public">
          <name>CY_WCM_WPS_DEVICE_CAMERA</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>Camera devices. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea07530c7c34101eb7b6dc77d463ea3d69" prot="public">
          <name>CY_WCM_WPS_DEVICE_STORAGE</name>
          <initializer>= 5</initializer>
          <briefdescription>
<para>Storage devices. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270eaaa26e5cc0ab60ced6a1396cefc5ba4d1" prot="public">
          <name>CY_WCM_WPS_DEVICE_NETWORK_INFRASTRUCTURE</name>
          <initializer>= 6</initializer>
          <briefdescription>
<para>Network infrastructure devices. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea340b6b8d4a0a3e381fddd7f5ba346b7d" prot="public">
          <name>CY_WCM_WPS_DEVICE_DISPLAY</name>
          <initializer>= 7</initializer>
          <briefdescription>
<para>Display devices. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270eab9d78b03149d0f80ebb7f41c0ad46215" prot="public">
          <name>CY_WCM_WPS_DEVICE_MULTIMEDIA</name>
          <initializer>= 8</initializer>
          <briefdescription>
<para>Multimedia devices. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea327ae67b0ae9851529d0047dd35ec51d" prot="public">
          <name>CY_WCM_WPS_DEVICE_GAMING</name>
          <initializer>= 9</initializer>
          <briefdescription>
<para>Gaming devices. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea1a103d818b304ea94c8a2c33fa2e944b" prot="public">
          <name>CY_WCM_WPS_DEVICE_TELEPHONE</name>
          <initializer>= 10</initializer>
          <briefdescription>
<para>Telephony devices. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea7ac4cb079ec54e29b94279c79af6ee4c" prot="public">
          <name>CY_WCM_WPS_DEVICE_AUDIO</name>
          <initializer>= 11</initializer>
          <briefdescription>
<para>Audio devices. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270eacc1248fb45b939bd560c7cb080b227cf" prot="public">
          <name>CY_WCM_WPS_DEVICE_DOCK</name>
          <initializer>= 12</initializer>
          <briefdescription>
<para>Docking devices. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea724e8110b6b40e0722f13a2fc66fd96f" prot="public">
          <name>CY_WCM_WPS_DEVICE_OTHER</name>
          <initializer>= 0xFF</initializer>
          <briefdescription>
<para>Other devices. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_wps_device_category_t: </bold><linebreak />Enumeration of WPS Device Category from the WSC 2.0 Spec.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="272" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="257" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="258" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1gafada6a09a78bd0473f3daef54621567f" kind="enum" prot="public" static="no">
        <name>cy_wcm_event_t</name>
        <enumvalue id="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa683d1014dce666536998f4d185975852" prot="public">
          <name>CY_WCM_EVENT_CONNECTING</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>STA connecting to an AP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa3cb25ea52d7dfe04a55193c5289d501f" prot="public">
          <name>CY_WCM_EVENT_CONNECTED</name>
          <briefdescription>
<para>STA connected to the AP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fafa85fe7467f303e5425b54a8f20072e5" prot="public">
          <name>CY_WCM_EVENT_CONNECT_FAILED</name>
          <briefdescription>
<para>STA connection to the AP failed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fab2e59655829c24bd5d0ea68622c8c56e" prot="public">
          <name>CY_WCM_EVENT_RECONNECTED</name>
          <briefdescription>
<para>STA reconnected to the AP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa206d74c35be5bf29e7903367287efc79" prot="public">
          <name>CY_WCM_EVENT_DISCONNECTED</name>
          <briefdescription>
<para>STA disconnected from the AP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fafe83442aa63aa747c3025d0874482c86" prot="public">
          <name>CY_WCM_EVENT_IP_CHANGED</name>
          <briefdescription>
<para>IP address change event. </para>          </briefdescription>
          <detaileddescription>
<para>This event is notified after connection, re-connection, and IP address change due to DHCP renewal. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa89bf3f175e03aabb5951138e229392c9" prot="public">
          <name>CY_WCM_EVENT_STA_JOINED_SOFTAP</name>
          <briefdescription>
<para>An STA device connected to SoftAP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa54168b9c07156a695d1de5db77f03bcb" prot="public">
          <name>CY_WCM_EVENT_STA_LEFT_SOFTAP</name>
          <briefdescription>
<para>An STA device disconnected from SoftAP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_event_t: </bold><linebreak />Enumeration of WCM Events.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="287" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="277" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="278" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1ga568b22d5d446e751f62efe4eb021d451" kind="enum" prot="public" static="no">
        <name>cy_wcm_scan_filter_type_t</name>
        <enumvalue id="group__group__wcm__enums_1gga568b22d5d446e751f62efe4eb021d451ae6a7c2fd74a727b9d1f3e0261533a7c4" prot="public">
          <name>CY_WCM_SCAN_FILTER_TYPE_SSID</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>SSID-based scan filtering. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga568b22d5d446e751f62efe4eb021d451a74ecd7911d895bb5893242f33cd797a5" prot="public">
          <name>CY_WCM_SCAN_FILTER_TYPE_MAC</name>
          <briefdescription>
<para>MAC-based scan filtering. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga568b22d5d446e751f62efe4eb021d451a4cc5a373687840727d482e4a07f3e472" prot="public">
          <name>CY_WCM_SCAN_FILTER_TYPE_BAND</name>
          <briefdescription>
<para>Band-based scan filtering. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga568b22d5d446e751f62efe4eb021d451a778dca52775ee5658e7ae9012a61586d" prot="public">
          <name>CY_WCM_SCAN_FILTER_TYPE_RSSI</name>
          <briefdescription>
<para>RSSI-based scan filtering. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_scan_filter_type_t: </bold><linebreak />Enumeration of Scan Filter Types.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="298" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="292" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="293" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1ga5da487a7ada216490a5f6787d617f10d" kind="enum" prot="public" static="no">
        <name>cy_wcm_bss_type_t</name>
        <enumvalue id="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da60013087d45b48933b758c1aaa952fd3" prot="public">
          <name>CY_WCM_BSS_TYPE_INFRASTRUCTURE</name>
          <initializer>=  0</initializer>
          <briefdescription>
<para>Infrastructure network. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da03a3baee9becad296eba5dd31b6c140b" prot="public">
          <name>CY_WCM_BSS_TYPE_ADHOC</name>
          <initializer>=  1</initializer>
          <briefdescription>
<para>802.11 ad hoc IBSS network. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da10ddd970dd3995ab9cbc5d225f72aac5" prot="public">
          <name>CY_WCM_BSS_TYPE_ANY</name>
          <initializer>=  2</initializer>
          <briefdescription>
<para>Either infrastructure or ad hoc network. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da882ea81676503bb3af561c60200ae0db" prot="public">
          <name>CY_WCM_BSS_TYPE_MESH</name>
          <initializer>=  3</initializer>
          <briefdescription>
<para>802.11 mesh network. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da4d5f95cccb4ae209eb84c70254193ba3" prot="public">
          <name>CY_WCM_BSS_TYPE_UNKNOWN</name>
          <initializer>= -1</initializer>
          <briefdescription>
<para>Returned by <ref kindref="member" refid="group__group__wcm__typedefs_1ga58bd6c567dc6b0b111fb5852227c0c88">cy_wcm_scan_result_callback_t</ref> if BSS type is unknown. </para>          </briefdescription>
          <detaileddescription>
<para>Do not pass this to the Join function. </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_bss_type_t: </bold><linebreak />Enumeration of Network Types.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="310" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="303" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="304" />
      </memberdef>
      <memberdef id="group__group__wcm__enums_1gac880508299364d38baeb869c761bc695" kind="enum" prot="public" static="no">
        <name>cy_wcm_ie_mask_t</name>
        <enumvalue id="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695ae1e47cd521bf0c95da2d457936985f36" prot="public">
          <name>CY_WCM_IE_MASK_BEACON</name>
          <initializer>= 0x1</initializer>
          <briefdescription>
<para>Denotes mask for beacon packet. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695a829e8241b21908745012b903f8f6e521" prot="public">
          <name>CY_WCM_IE_MASK_PROBE_RESPONSE</name>
          <initializer>= 0x2</initializer>
          <briefdescription>
<para>Denotes mask for probe response packet. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695af20f5063141ee8041342aa430a393025" prot="public">
          <name>CY_WCM_IE_MASK_ASSOC_RESPONSE</name>
          <initializer>= 0x4</initializer>
          <briefdescription>
<para>Denotes mask for association response packet. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695a91f0304a9e0260ff0deabc1884190a9c" prot="public">
          <name>CY_WCM_IE_MASK_AUTH_RESPONSE</name>
          <initializer>= 0x8</initializer>
          <briefdescription>
<para>Denotes mask for authentication response packet. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695a41547feec293e037c4ee8b7caf7c9e45" prot="public">
          <name>CY_WCM_IE_MASK_PROBE_REQUEST</name>
          <initializer>= 0x10</initializer>
          <briefdescription>
<para>Denotes mask for probe request packet. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695ab592236c8a899e0c8326e030cda107fa" prot="public">
          <name>CY_WCM_IE_MASK_ASSOC_REQUEST</name>
          <initializer>= 0x20</initializer>
          <briefdescription>
<para>Denotes mask for association request packet. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695a5a9943659b2c2a8c85a609e767af7f86" prot="public">
          <name>CY_WCM_IE_MASK_CUSTOM</name>
          <initializer>= 0x100</initializer>
          <briefdescription>
<para>Denotes mask for custom IE identifier. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_wcm_ie_mask_t: </bold><linebreak />Enumeration of applicable packet mask bits for custom Information Elements (IEs)</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="324" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="315" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="316" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>